﻿div.list-group a.list-group-item.disabled {
  background-color: #DADDDC;
  color: #000000;
  font-weight: bold;
}

/*
  Wrapper for tables (including gv-tables) to allow the first column to remain fixed when scrolling 
  horizontally. Note that for this to work, the with and margin-left properties need the same value.
  Use of a helper to generate page specific CSS to override these will be required.
*/
div.table-responsive-fixed-first-column table {
  table-layout: inherit;
  border-collapse: separate;
}

  div.table-responsive-fixed-first-column table tr td, th {
    white-space: nowrap;
  }

  div.table-responsive-fixed-first-column table thead tr th:first-child,
  div.table-responsive-fixed-first-column table tbody tr td:first-child {
    position: absolute;
    left: 0;
    width: 120px;
  }

div.table-responsive-fixed-first-column {
  position: relative;
}

div.table-responsive-fixed-first-column-inner {
  overflow-x: auto;
  overflow-y: visible;
  margin-left: 120px;
}

/* 
  Additional fixes for GVtable, these could also safely go into the standard CSS. 
  Unclear why these are needed, but without them the backgrounds are not rendered.
*/

table.gv-table thead tr th:first-child {
  background-color: #DADDDC;
}

table.gv-table-striped tbody tr.striped td:first-child {
  background-color: #F9F9F9;
}

div.space-before {
  margin-top: 15px;
}

div.space-after {
  margin-bottom: 15px;
}

.btn-ajax-right-active {
  padding-right: 48px;
  background-image: url('/Content/Images/ajax-busy-24px.gif');
  background-repeat: no-repeat;
  background-position-x: right 12px;
  background-position-y: center;
}

/*
  Adjust colours for buttons which remain on screen for a long time after being clicked.
*/

.btn-primary:focus {
  color: #000 !important;
  background-color: #FFF !important;
}

  .btn-primary:focus:hover {
    color: #55585a !important;
  }
/*
  Add a margin to the fluid view so that the scroll bar doesn't overlay content in IE.
*/

div.container-fluid {
  margin-left: 15px;
  margin-right: 15px;
}

/*
  Dropdown menu for dashboard selection on home page.
*/

ul.dropdown-menu-dashboard {
  width: 300px;
  min-width: 300px;
}

  ul.dropdown-menu-dashboard > li.active > a,
  ul.dropdown-menu-dashboard > li.active > a:hover {
    padding-left: 4px;
    color: #333;
    background-color: #F5F5F5;
  }

    ul.dropdown-menu-dashboard > li.active > a > span {
      padding-right: 3px;
    }

/*
  Dashboard Web Layout.
*/

table.dashboard-web-layout thead tr th:last-child {
  width: 80px;
}

/* 
  Dashboard PDF Layout 
*/

.pdf-layout-list {
  list-style: none;
  padding-left: 0;
}

  .pdf-layout-list li {
    background-color: #f5f5f5;
    border: 2px solid #FFFFFF;
    float: left;
    line-height: 1.4;
    padding: 10px;
    text-align: center;
    width: 25%;
    height: 70px;
    font-size: 11px;
    overflow: hidden;
    color: #dadddc;
  }

    .pdf-layout-list li:hover {
      background-color: #EEEEEE;
      cursor: pointer;
    }

/* Adjust height of file inputs to match attached buttons. */

div.form-group input[type='file'] {
  height: 31px;
}

/*
  Details page for indicators.
*/
div.details div.info-bar {
  background-color: #f5f5f5;
  background-image: url('/Content/Images/icon-info.png');
  background-position: 10px center;
  background-repeat: no-repeat;
  padding: 10px;
  margin-top: 15px;
  margin-bottom: 15px;
}

  div.details div.info-bar span {
    margin-left: 20px;
    margin-right: 10px;
  }

div.details div.table-container {
  overflow-x: auto;
}

div.details div#chart-container,
div.modal-chart-container {
  width: 100%;
}

div.modal-footer div.info-bar {
  background-color: #f5f5f5;
  background-image: url('/Content/Images/icon-info.png');
  background-position: 10px center;
  background-repeat: no-repeat;
  padding: 10px;
  text-align: left;
}

  div.modal-footer div.info-bar span {
    margin-left: 20px;
    margin-right: 10px;
  }

/* 
  Override Bootstrap info class when used by generic table rendering.
*/

table.gv-table tr th.info {
  background-color: #DADDDC;
}

/* Adjust height of file inputs to match attached buttons. */

div.form-group input[type='file'] {
  height: 31px;
}

/* Right hand context buttons. */

div.btn-toolbar-gv .btn-default:hover:active,
div.btn-toolbar-gv .active.btn-default:hover,
div.btn-toolbar-gv .open > .btn-default.dropdown-toggle:hover,
div.btn-toolbar-gv .btn-default.dropdown-toggle:hover,
div.btn-toolbar-gv .btn-default:focus:active,
div.btn-toolbar-gv .active.btn-default:focus,
div.btn-toolbar-gv .btn-default.dropdown-toggle:focus,
div.btn-toolbar-gv .open > .btn-default.dropdown-toggle:focus,
div.btn-toolbar-gv .focus.btn-default:active,
div.btn-toolbar-gv .focus.active.btn-default,
div.btn-toolbar-gv .open > .focus.btn-default.dropdown-toggle,
div.btn-toolbar-gv .focus.btn-default.dropdown-toggle,
div.btn-toolbar-gv button.btn-default,
div.btn-toolbar-gv div.open button.btn-default {
  border: none;
  background-color: #FFFFFF;
  box-shadow: none;
}

form.form-horizontal div.form-group {
  margin-bottom: 5px;
}
